Eclipse Platform Release 3.7

## org.eclipse.core.resources
Interface IEncodedStorage

All Superinterfaces:
  IAdaptable, IStorage

All Known Subinterfaces:
  IFile, IFileState

    public interface IEncodedStorage

extends IStorage

A storage that knows how its contents are encoded.

The `IEncodedStorage` interface extends `IStorage` in order to provide access to the charset to be used when decoding its contents.

Clients may implement this interface.

Since:
  3.0

Method Summary
`String` `getCharset()` Returns the name of a charset encoding to be used when decoding this storage's contents into characters.

Methods inherited from interface org.eclipse.core.resources.IStorage
`getContents, getFullPath, getName, isReadOnly`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getCharset

    String getCharset()
                      throws CoreException

  Returns the name of a charset encoding to be used when decoding this storage's contents into characters. Returns `null` if a proper encoding cannot be determined.

  Note that this method does not check whether the result is a supported charset name. Callers should be prepared to handle `UnsupportedEncodingException` where this charset is used.

  Returns:
    the name of a charset, or `null`
  Throws:
    `CoreException` - if an error happens while determining the charset. See any refinements for more information.
  See Also:
    `IStorage.getContents()`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.